/*
 *    Licensed to the Apache Software Foundation (ASF) under one or more
 *    contributor license agreements.  See the NOTICE file distributed with
 *    this work for additional information regarding copyright ownership.
 *    The ASF licenses this file to You under the Apache License, Version 2.0
 *    (the "License"); you may not use this file except in compliance with
 *    the License.  You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

import Ember from 'ember';
export default Ember.Object.create({
  globalSetting:{
    useJoinNodeForDecision:false,
    useAdditionalPlaceholderFlowForDecision:true,
    defaultTransitionColor:"#005c99",
    errorTransitionColor:"#b30000"
  },
  defaultKillNodeName:"kill",
  showErrorTransitions:false,
  generatedByCdata: "Generated by Worflow Designer",
  rmDefaultValue: "${resourceManager}",
  actions:{
    hiveAction:{name : "hive",supportsSchema : true, currentVersion:''},
    hive2Action:{name : "hive2",supportsSchema : true, currentVersion:''},
    javaAction:{name : "java",supportsSchema : false, currentVersion:''},
    pigAction:{name : "pig",supportsSchema : true, currentVersion:''},
    sqoopAction:{name : "sqoop",supportsSchema : true, currentVersion:''},
    shellAction:{name : "shell",supportsSchema : true, currentVersion:''},
    sparkAction:{name : "spark",supportsSchema : true, currentVersion:''},
    mapReduceAction:{name : "map-reduce",supportsSchema : false, currentVersion:''},
    subWorkflowAction:{name : "sub-workflow",supportsSchema : false, currentVersion:''},
    distcpAction:{name : "distcp",supportsSchema : true, currentVersion:''},
    sshAction:{name : "ssh",supportsSchema : false, currentVersion:''},
    emailAction:{name : "email",supportsSchema : true, currentVersion:''}
  },
  sparkMasterList :Ember.A([{value:'yarn-cluster',displayName:'Yarn Cluster'},
                            {value:'yarn-client',displayName:'Yarn Client'},
                            {value:'local',displayName:'Local'}])
});
